Skip to content
Start here

Read matches for logo queries by ID

brand_protection.logo_matches.get(LogoMatchGetParams**kwargs) -> LogoMatchGetResponse
GET/accounts/{account_id}/brand-protection/logo-matches

Return matches for logo queries based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
account_id: str
minLength1
limit: Optional[str]
logo_id: Optional[SequenceNotStr[str]]
offset: Optional[str]
ReturnsExpand Collapse
class LogoMatchGetResponse:
matches: Optional[List[Dict[str, object]]]
total: Optional[int]

Read matches for logo queries by ID

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
logo_match = client.brand_protection.logo_matches.get(
    account_id="x",
)
print(logo_match.matches)
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}